<?php


/**
 * Fired during plugin uninstall.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @TODO decide if required
 */

namespace Fullworks_Directory\Includes;

class Uninstall {

	/**
	 * Uninstall specific code
	 *
	 */
	public static function uninstall() {

		// delete custom posts
		$entries = get_posts( array( 'post_type' => 'fdentry' ) );
		foreach ( $entries as $entry ) {
			// Delete all entries.
			wp_delete_post( $entry->ID, true );
		}

		// delete taxonomies
		$entry_types = get_terms( array(
			'taxonomy'   => 'fd_entry_types',
			'hide_empty' => false,
		) );
		foreach ( $entry_types as $entry_type ) {
			// Delete all entries.
			wp_delete_term( $entry_type->term_id, 'fd_entry_types' );
		}

	}

}


