<?php
/**
 * Created
 * User: alan
 * Date: 05/09/17
 * Time: 14:40
 */

namespace Fullworks_Directory\Includes\Widgets;

use WP_Widget;


class Entry_Info_Block_Widget extends WP_Widget {

	/**
	 * Register widget with WordPress.
	 */
	function __construct() {
		parent::__construct(
			'fd_entry_info_block_widget', // Base ID
			__( 'Directory Entry Info', 'fullworks-directory' ), // Name
			array( 'description' => __( 'Block of information associated with Fullworks Directory entry', 'fullworks-directory' ), ) // Args
		);
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget( $args, $instance ) {
		global $post;
		if ( ( is_singular( 'fdentry' ) ) )  {
			echo $args['before_widget'];
			
			global $post;

			do_action( 'fd_entry_info_block_section' );


			echo $args['after_widget'];

		}
	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form( $instance ) {

	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update( $new_instance, $old_instance ) {

		return $instance;
	}

}