<?php

get_header(); ?>

    <div class="wrap">
        <div id="primary" class="content-area">
            <main id="main" class="site-main" role="main">

				<?php
				/* Start the Loop */
				while ( have_posts() ) : the_post();
					?>
                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <header class="entry-header">
							<?php
							the_title( '<h1 class="entry-title">', '</h1>' );
							?>
                        </header><!-- .entry-header -->
						<?php
						$subtitle = get_post_meta( get_the_ID(), '_fd_entry_sub_title_sub_title', true );
						if ( ! empty( $subtitle ) ) {
							printf( '<h2 class="entry-title fd-sub-title">%1$s</h2>', $subtitle );
						}
						?>
                        <div class="entry-content">
							<?php
							/* translators: %s: Name of current post */
							the_content( sprintf(
								__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'twentyseventeen' ),
								get_the_title()
							) );

							wp_link_pages( array(
								'before'      => '<div class="page-links">' . __( 'Pages:', 'fullworks-directory' ),
								'after'       => '</div>',
								'link_before' => '<span class="page-number">',
								'link_after'  => '</span>',
							) );
							?>
                        </div><!-- .entry-content -->
                    </article><!-- #post-## -->
					<?php
					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

					the_post_navigation( array(
						'prev_text' => '<span class="screen-reader-text">' . __( 'Previous Post', 'twentyseventeen' ) . '</span>
    <span aria-hidden="true" class="nav-subtitle">' . __( 'Previous', 'twentyseventeen' ) . '</span> <span
            class="nav-title"><span class="nav-title-icon-wrapper">' . twentyseventeen_get_svg( array( 'icon' => 'arrow-left' ) ) . '</span>%title</span>',
						'next_text' => '
    <span class="screen-reader-text">' . __( 'Next Post', 'twentyseventeen' ) . '</span><span aria-hidden="true"
                                                                                              class="nav-subtitle">' . __( 'Next', 'twentyseventeen' ) . '</span>
    <span class="nav-title">%title<span class="nav-title-icon-wrapper">' . twentyseventeen_get_svg( array( 'icon' => 'arrow-right' ) ) . '</span></span>',
					) );

				endwhile; // End of the loop.
				?>

            </main><!-- #main -->
        </div><!-- #primary -->
		<?php
		if ( is_active_sidebar( 'fd-entry-sidebar' ) ) {
			?>

            <aside id="secondary" class="widget-area" role="complementary"
                   aria-label="<?php esc_attr_e( 'Directory Sidebar', 'fullworks-directory' ); ?>">
				<?php dynamic_sidebar( 'fd-entry-sidebar' ); ?>
            </aside><!-- #secondary -->
			<?php
		}
		?>

    </div><!-- .wrap -->

<?php get_footer();